WarPluginConvention (Gradle API 2.14.1)

Package: org.gradle.api.plugins

## [Java] Class WarPluginConvention

- org.gradle.api.plugins.WarPluginConvention

- A Convention used for the WarPlugin.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `WarPluginConvention (Project project)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Project` | `getProject()`
    `File` | `getWebAppDir()` Returns the web application directory.
    `String` | `getWebAppDirName()` The name of the web application directory, relative to the project directory.
    `void` | `setWebAppDirName(String webAppDirName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public WarPluginConvention(Project project)

  - ### Method Detail

    - #### public final Project getProject()

    - #### public File getWebAppDir()

      Returns the web application directory.

    - #### public String getWebAppDirName()

      The name of the web application directory, relative to the project directory.

    - #### public void setWebAppDirName(String webAppDirName)